/*****************************************************************************
 * pce                                                                       *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/terminal/null.h                                          *
 * Created:     2003-10-18 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2003-2008 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/

/* $Id: null.h 822 2008-10-30 14:37:33Z hampa $ */


#ifndef PCE_TERMINAL_NULL_H
#define PCE_TERMINAL_NULL_H 1


#include <stdio.h>

#include <libini/libini.h>
#include <terminal/terminal.h>


typedef struct {
	terminal_t     trm;
} null_t;


/*!***************************************************************************
 * @short Create a new null terminal
 *****************************************************************************/
terminal_t *null_new (ini_sct_t *ini);


#endif
